ros-jazzy-ament-cmake-flake8 (0.17.4-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 21 Jan 2026 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.17.3-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 05 Aug 2025 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.17.2-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 02 Apr 2025 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.17.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 27 Jun 2024 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.17.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.16.4-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.16.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.16.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.16.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.16.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 04 Oct 2023 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.15.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.15.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.15.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.14.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.14.0-1noble) noble; urgency=high

  * Add flake8 linter ignore support (#424 <https://github.com/ament/ament_lint/issues/424>)
  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash, RFRIEDM-Trimble, Abrar Rahman Protyasha

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.13.2-1noble) noble; urgency=high

  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.13.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 09 May 2022 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.13.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.12.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.12.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.12.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.12.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Feb 2022 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.11.4-1noble) noble; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.11.3-1noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Add custom config file support for flake8 (#331 <https://github.com/ament/ament_lint/issues/331>)
  * Contributors: Audrow Nash, Kenji Miyake

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.11.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.11.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.11.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.10.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.10.5-1noble) noble; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.10.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.10.3-1noble) noble; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.10.2-1noble) noble; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.10.1-1noble) noble; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.10.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.9.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.9.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.9.1-1noble) noble; urgency=high

  * 0.9.0
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 10 Apr 2020 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.8.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.8.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 Sep 2019 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.7.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 31 Jul 2019 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 14:08:00 -0000

ros-jazzy-ament-cmake-flake8 (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 09:30:00 -0000

ros-jazzy-ament-cmake-flake8 (0.7.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 07 May 2019 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.7.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Apr 2019 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.6.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.6.2-1noble) noble; urgency=high

  * Change spelling of maintainer name. (#115 <https://github.com/ament/ament_lint/issues/115>)
    This is causing failures in CI at the moment. Until I figure out where
    the issue lies let's just mispell it to unbreak CI.
  * Contributors: Steven! Ragnarök

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.6.1-1noble) noble; urgency=high

  * Update maintainer for ament{,_cmake}_flake8. (#114 <https://github.com/ament/ament_lint/issues/114>)
  * Contributors: Steven! Ragnarök

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 15 Nov 2018 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.6.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-jazzy-ament-cmake-flake8 (0.5.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 13:47:00 -0000

ros-jazzy-ament-cmake-flake8 (0.5.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 10:09:00 -0000

ros-jazzy-ament-cmake-flake8 (0.4.0-1noble) noble; urgency=high

  * 0.0.3
  * 0.0.2
  * Test python module import order using flake8 (#63 <https://github.com/ament/ament_lint/issues/63>)
    * Add flake8 linter
    * Don't deal with flake8-import-order just yet
    * Debugging prints
    * Reinstate import order rule
    * Fix reporting bug by using the inner flake8 style guide
    * Fixup
    * Add comment on wrapper StyleGuide use
    * use flake8 v3 (#1 <https://github.com/ament/ament_lint/issues/1>)
    * Reorder package.xml
    * Get the filenames from the file checkers because input_file isn't called by flake8 anymore
    * Output count of all error types
    * Get flake8 to use the config file
    The current implementation of get_style_guide does not process the config file correctly.
    * Error when flake8 v2 found
    * Print errors like pep8
    * remove __future__ imports
    * add schema to manifest files
    * Support flake8 v2 as well as v3
    * Output checked files
    otherwise it's not present in xunit files for tests run directly with nose (not ament_cmake_flake8)
    * Prevent v2 imports from happening on systems with v3
    * Flake8 replaces pep8+pyflakes
  * Contributors: Dirk Thomas, dhood

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000


